# alias

open fun alias(notation: Provider<PluginDependency>): PluginDependencySpec

Adds a plugin dependency using a notation coming from a version catalog. The resulting dependency spec can be refined with a version overriding what the version catalog provides.

#### Return

a mutable plugin dependency specification that can be used to further refine the dependency

#### Since

7.2

#### Parameters

notation

the plugin reference

open fun alias(notation: ProviderConvertible<PluginDependency>): PluginDependencySpec

Adds a plugin dependency using a notation coming from a version catalog. The resulting dependency spec can be refined with a version overriding what the version catalog provides.

#### Return

a mutable plugin dependency specification that can be used to further refine the dependency

#### Since

7.3

#### Parameters

notation

the plugin reference